TMS
cURL
curl --request POST \ --url https://cloud.memsource.com/web/api2/v1/lqa/assessments \ --header 'Content-Type: application/json' \ --data ' { "jobParts": [ { "uid": "<string>" } ] } '
{ "assessmentDetails": [ { "jobPartUid": "<string>", "assessmentJobPartUid": "<string>", "requestedJobPartUid": "<string>", "workflowStep": { "id": "<string>", "uid": "<string>", "name": "<string>", "abbr": "<string>", "order": 123, "lqaEnabled": true }, "reportCanBeDownloaded": true, "lqaEnabled": true, "availability": "NOT_AVAILABLE", "startedDate": "2023-11-07T05:31:56Z", "finishedDate": "2023-11-07T05:31:56Z", "editedDate": "2023-11-07T05:31:56Z", "assessmentResult": { "status": "PASS", "score": 123 }, "overallFeedback": "<string>", "reviewProvider": { "uid": "<string>", "organizationUid": "<string>" }, "origin": "HUMAN", "mode": "ISSUES", "status": "NOT_STARTED" } ] }
Returns Assessment results for given jobs. If any given job is not from LQA workflow step, result from successive workflow steps may be returned
UIDs of the corresponding job parts
1 - 100
Show child attributes
successful operation
Was this page helpful?